//
// SkyCanvas.h
// A place to draw astronomical objects.
//
//    Copyright 2002 by Akkana Peck.
// You may use or distribute this code under the terms of the GPL.
//

#include "SkyCanvas.h"

#include <qpainter.h>

SkyCanvas::SkyCanvas( QWidget *parent, const char *name )
    : QWidget( parent, name ), mPainter(0)
{
    setPalette( QPalette( QColor( 0, 0, 0 ) ) );
}

void SkyCanvas::Clear( )
{
    if (!mPainter)
        return;
    mPainter->setBackgroundColor(QColor("black"));
    mPainter->eraseRect(0, 0, width(), height());
}

void SkyCanvas::paintEvent( QPaintEvent * )
{
    Clear();
    Paint();
}

// Default Paint event.  We expect child classes to override this.
void SkyCanvas::Paint()
{
}

